#include <bits\stdc++.h>

using namespace std;

int main()
{
    int n,k,a[20000],pi;
    cin>>n>>k;
    for(int i=0;i<n;i++) cin>>a[i];
    if(k!=a[0]){
        for(int i=0;i<n;i++) if(a[i]==k) pi=a[i+1];
        cout<<pi<<endl;
    }
    return 0;
}